Bug 1295605 - [abrt] xarchiver: xa_create_password_dialog(): xarchiver killed by SIGSEGV
[abrt] xarchiver: xa_create_password_dialog(): xarchiver killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xarchiver (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1b22afaff05f14f6722ee40c2ac...
:
: 1309943 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 20:36 EST by Nguyễn Xuân Tùng
Modified: 2016-12-20 12:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.17 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: core_backtrace (8.20 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: dso_list (8.30 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: environ (1.55 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: maps (43.77 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: mountinfo (4.22 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: open_fds (1.10 KB, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-01-04 20:38 EST, Nguyễn Xuân Tùng
no flags Details

  None (edit)
Description Nguyễn Xuân Tùng 2016-01-04 20:36:51 EST
Version-Release number of selected component:
xarchiver-0.5.4-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver /home/sst/Downloads/C64_SoC.zip
crash_function: xa_create_password_dialog
executable:     /usr/bin/xarchiver
global_pid:     7719
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xa_create_password_dialog at interface.c:781
 #1 drag_data_get at window.c:1707
 #5 g_signal_emit_by_name at gsignal.c:3479
 #6 gtk_drag_selection_get at gtkdnd.c:3836
 #10 g_signal_emit_by_name at gsignal.c:3479
 #11 gtk_selection_invoke_handler at gtkselection.c:2986
 #12 _gtk_selection_request at gtkselection.c:2391
 #13 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #18 gtk_widget_event_internal at gtkwidget.c:5017
 #19 gtk_widget_event at gtkwidget.c:4814

Potential duplicate: bug 837147
Comment 1 Nguyễn Xuân Tùng 2016-01-04 20:38:07 EST
Created attachment 1111631 [details]
File: backtrace
Comment 2 Nguyễn Xuân Tùng 2016-01-04 20:38:09 EST
Created attachment 1111632 [details]
File: cgroup
Comment 3 Nguyễn Xuân Tùng 2016-01-04 20:38:12 EST
Created attachment 1111633 [details]
File: core_backtrace
Comment 4 Nguyễn Xuân Tùng 2016-01-04 20:38:15 EST
Created attachment 1111634 [details]
File: dso_list
Comment 5 Nguyễn Xuân Tùng 2016-01-04 20:38:18 EST
Created attachment 1111635 [details]
File: environ
Comment 6 Nguyễn Xuân Tùng 2016-01-04 20:38:19 EST
Created attachment 1111636 [details]
File: exploitable
Comment 7 Nguyễn Xuân Tùng 2016-01-04 20:38:21 EST
Created attachment 1111637 [details]
File: limits
Comment 8 Nguyễn Xuân Tùng 2016-01-04 20:38:24 EST
Created attachment 1111638 [details]
File: maps
Comment 9 Nguyễn Xuân Tùng 2016-01-04 20:38:26 EST
Created attachment 1111639 [details]
File: mountinfo
Comment 10 Nguyễn Xuân Tùng 2016-01-04 20:38:28 EST
Created attachment 1111640 [details]
File: namespaces
Comment 11 Nguyễn Xuân Tùng 2016-01-04 20:38:40 EST
Created attachment 1111641 [details]
File: open_fds
Comment 12 Nguyễn Xuân Tùng 2016-01-04 20:38:42 EST
Created attachment 1111642 [details]
File: proc_pid_status
Comment 13 Nguyễn Xuân Tùng 2016-01-04 20:38:43 EST
Created attachment 1111643 [details]
File: var_log_messages
Comment 14 Nguyễn Xuân Tùng 2016-02-18 22:52:12 EST
*** Bug 1309943 has been marked as a duplicate of this bug. ***
Comment 15 taku158 2016-04-30 14:11:25 EDT
Another user experienced a similar problem:

I tried to decompress an protected by password RAR archive. That's it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver /home/axls/Descargas/ZoVeCeOn.rar
crash_function: xa_create_password_dialog
executable:     /usr/bin/xarchiver
global_pid:     5658
kernel:         4.4.7-300.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 taku158 2016-05-08 04:14:46 EDT
Another user experienced a similar problem:

I tried to unrar a RAR archive splitted in two. It just closed it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver '/home/axls/Downloads/SC4RYM0V13 Www TuMegaCine/SC4RYM0V13 Www.TuMegaCine.Com.part1.rar'
crash_function: xa_create_password_dialog
executable:     /usr/bin/xarchiver
global_pid:     3436
kernel:         4.4.8-300.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 taku158 2016-05-11 22:29:12 EDT
Another user experienced a similar problem:

I tried to unrar a RAR archive from Downloads to Desktop.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver '/home/axls/Downloads/SC4RYM0V13 Www TuMegaCine/SC4RYM0V13 Www.TuMegaCine.Com.part1.rar'
crash_function: xa_create_password_dialog
executable:     /usr/bin/xarchiver
global_pid:     3436
kernel:         4.4.8-300.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2016-11-24 09:42:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 12:36:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.